#! perl
# Copyright (C) 2001-2007, The Perl Foundation.
# $Id: /mirror/trunk/tools/dev/pmctree.pl 28162 2008-06-07T03:05:45.033717Z coke  $

use strict;
use warnings;
use lib qw( lib );
use Parrot::Pmc2c::PMC::PrintTree;

my ( %action, %options, @pmc_include_paths );

my @args = @ARGV;

my $self = Parrot::Pmc2c::PMC::PrintTree->new(
    {
        include => [ qw( src/pmc src/dynpmc ) ],
        opt     => {},
        args    => \@args,
        bin     => q{},
    }
);

$self->print_tree();
exit;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 100
# End:
# vim: expandtab shiftwidth=4:
